## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/zmap/zlint
%global goipath         github.com/zmap/zlint/v3
%global forgeurl        https://github.com/zmap/zlint
Version:                3.5.0

%gometa

%global common_description %{expand:
ZLint is a X.509 certificate linter written in Go that checks for consistency
with standards (e.g. RFC 5280) and other relevant PKI requirements (e.g.
CA/Browser Forum Baseline Requirements).}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        X.509 Certificate Linter focused on Web PKI standards and requirements

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  help2man

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
mv v3/* ./.

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -m 0755 -vd                     %{buildroot}%{_mandir}/man1
help2man --no-discard-stderr --no-info --version-string=%{version} %{buildroot}%{_bindir}/zlint > %{buildroot}%{_mandir}/man1/zlint.1
help2man --no-discard-stderr --no-info --version-string=%{version} %{buildroot}%{_bindir}/zlint-gtld-update > %{buildroot}%{_mandir}/man1/zlint-gtld-update.1

%if %{with check}
%check
%gocheck -t cmd
%endif

%files
%license LICENSE
%doc CONTRIBUTING.md README.md
%{_bindir}/zlint
%{_bindir}/zlint-gtld-update
%{_bindir}/genTestCerts
%{_mandir}/man1/zlint.1*
%{_mandir}/man1/zlint-gtld-update.1*

%gopkgfiles

%changelog
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 3.5.0-5
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Aug 04 2023 Robert-André Mauchin <zebob.m@gmail.com> - 3.5.0-2
- Add binary back from zlint v1

* Fri Aug 04 2023 Robert-André Mauchin <zebob.m@gmail.com> - 3.5.0-1
- Update to 3.5.0

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 3.3.1-2
- Rebuild to fix FTBFS

* Sun Jul 24 2022 Robert-André Mauchin <zebob.m@gmail.com> - 3.3.1-1
- Update to 3.3.1 - Close: rhbz#1963648

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jan 13 18:59:50 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 3.0.0-1
- Initial package

